/**
 * 民生云平台Native方法接口(Android版)
 */

var Msy = function(){
    /** 默认帮助消息 */
    window.getHelpMessage = function(){
        return "客服电话:12333";
    }

    return {
        /** 获取accessToken */
        getAccessToken:function(){
            return window.jsbrige.getAccessToken();
        },
        /** 获取人员基本信息 */
        getBaseInfo:function(){
            return window.jsbrige.getBaseInfo();
        },
        /**
          * 显示提示信息
          * @param message:为空则调用getHelpMessage方法获取(页面未实现该方法则调用window.getHelpMessage)
          */
        showHelpDialog:function(message){
            if(!message){
                message = getHelpMessage();
            }
            return window.jsbrige.showHelpDialog(message);
        },
        /** 设置标题 */
        setTitle:function(title){
            return window.jsbrige.setTitle(title);
        }
    }
}();