var myColor=["#4572a7","#aa4643","#89a54e","#2f4d12","#97b385","#bf3fbb","#ba813c","#130d73","#2b616b","#e3dd20","#22c9e6"]
/* 样式相关工具js */
function Style(platform) {
	this.platform = platform;// android, iphone, ipad, terminal, pc
	if (!platform)
		this.platform = 'android';// 不传参数则默认android样式
}
/* 弹出层样式 start */
Style.prototype.alert = function(content) {
	swal({
		"title" : content,
		"confirmButtonText" : "确定",
		"confirmButtonColor" : "#0073E1"
	});
};
Style.prototype.confirm = function(content, yes, no) {
	swal({
		"title" : content,
		"showConfirmButton" : true,
		"showCancelButton" : true,
		"confirmButtonText" : "确定",
		"cancelButnText" : "取消",
		"closeOnConfirm" : false,
		"closeOnCancel" : false
	}, function(isConfirm) {
		if (isConfirm) {
			yes();
		} else {
			no();
		}
	});
};
Style.prototype.tip = function(content, time, type) {
	// type类型("success", "info", "warning", "error");
	if (type != "info" && type != "warning" && type != "error") {
		type = "success";
	}
	if (time == null) {
		time = "8000";
	}
	toastr.options = {
		"closeButton" : false,
		"debug" : false,
		"newestOnTop" : true,
		"progressBar" : false,
		"positionClass" : "toast-center-center",
		"preventDuplicates" : true,
		"onclick" : null,
		"showDuration" : "300",
		"hideDuration" : "1000",
		"timeOut" : time,
		"extendedTimeOut" : "1000",
		"showEasing" : "swing",
		"hideEasing" : "linear",
		"showMethod" : "fadeIn",
		"hideMethod" : "fadeOut"
	};
	toastr[type](content, "");
};
Style.prototype.load = function(id,loadText) {
	var defValue = 30;
	var text = loadText ? loadText : "";
	var html = '<div class="spinner"><div style="width:' + defValue
			+ 'px;height:' + defValue
			+ 'px;" class="bounce1"></div><div style="width:' + defValue
			+ 'px;height:' + defValue
			+ 'px;" class="bounce2"></div><div style="width:' + defValue
			+ 'px;height:' + defValue + 'px;" class="bounce3"></div></div>';
	// $.mobile.loading('show', {
	// text : text,
	// textVisible : true,
	// theme : 'm',
	// html : html
	// });
	if(!id){
	  id="load_msg";
	}
	$("#"+id+"").html('<div class="myLayer" style="opacity:0.3;position:absolute;left:0;top:0;width:100%;height:100%;z-index:5;background-color:white;"></div><div class="spinner" style="top: 50%;left: 50%;margin-left: '+-defValue*1.5+'px;position: fixed;z-index:2"><div style="width:30px;height:30px;" class="bounce1"></div><div style="width:30px;height:30px;" class="bounce2"></div><div style="width:30px;height:30px;" class="bounce3"></div></div>');
	 $("body").css({overflow:"hidden"}); 
};
Style.prototype.hide = function() {
	$(".spinner").hide();
	$(".myLayer").hide();
	 $("body").css({overflow:"visible"}); 
};
Style.prototype.html = function(HTML, dismissible) {
	if (!dismissible)
		dismissible = false;
	var html = '<a href="#positionWindow" id="tipshow" style="display:none"class="ui-btn ui-corner-all ui-shadow ui-btn-inline" data-rel="popup" data-position-to="window"></a>';
	html += '<div data-role="popup" id="positionWindow" class="ui-content" data-theme="m">';
	// html += '<a href="#" data-rel="back" class="ui-btn ui-corner-all
	// ui-shadow ui-btn-a ui-icon-delete ui-btn-icon-notext
	// ui-btn-right">Close</a>';
	html += '<div id="html_content">' + HTML + '</div></div>';
	$("#load_msg").html(html);
	$("#load_msg").trigger('create');
	$("#positionWindow").popup({
		dismissible : dismissible,
		theme : "m"
	});
	$("#positionWindow").popup("open", "window");
	// alert($("#html_content").hetght() + " " + $("#positionWindow").hetght());
};

Style.prototype.close = function() {
	$("#positionWindow").popup("close");
	swal.close();
};
/* 弹出层样式 end */

// 样式类型转换
Style.prototype.setPlatForm = function(platform) {
	this.platform = platform;
};
// 生成菜单
Style.prototype.makeMenu = function(menuArray) {
	var html = '';
	var length = menuArray.length;
	for ( var i = 0; i < length; ++i) {
		if (i % 2 == 0) {//d
			if (i == length - 1) {
				html += '<div class="ui-grid-a "><div class="ui-bar-a">';
				html += '<a class="gird-inner" href="' + menuArray[i].url
						+ '">';
				html += '<center><i class="fa fa-2x purple300 ' +menuArray[i].icon+'"></i>';
				html += '<p>' + menuArray[i].name
						+ '</p></center></a></div></div>';
				break;
			} else {
				html += '<div class="ui-grid-a"><div class="ui-block-a ui-bar-a">';
				html += '<a class="gird-inner" href= " ' + menuArray[i].url
						+ '">';
				html += '<center><i class="fa fa-2x purple300 ' +menuArray[i].icon+'"></i>';
				html += '<p>' + menuArray[i].name + '</p></center></a></div>';
			}
		} else {
			html += '<div class="ui-block-b ui-bar-a">';
			html += '<a class="gird-inner" href="' + menuArray[i].url + '">';
			html += '<center><i class="fa fa-2x purple300 ' +menuArray[i].icon+'"></i>';
			html += '<p>' + menuArray[i].name + '</p></center></a></div></div>';
		}
	}
	$("#content").html(html);
};

// 生成展示表格
Style.prototype.makeTable = function(obj, pageParam,cpage) {
	if (!pageParam) {
		pageParam = "content";
	}
	var html = '';
	var isTipShow;
	var isAShow=false;
	for ( var i = 0; i < obj.queryList.length; ++i) {
		isTipShow= false;
		var data = obj.queryList[i];
		html += '<div data-form="ui-body-m" class="ui-body ui-body-m mt20">';
		for ( var j = 0; j < codes.length; ++j) {
			if (codes[j].isTipShow == 1) {
			   var line_data = (codes[j])['code101'];
            	line_data = Format[codes[j].format](data[line_data],line_data);

				html += '<div class="ui-field-contain ui-field-contain-txt" style="position:relative"><span class="title">';
				html += '' + codes[j].code102 + '：';
				html += '</span><span class="txt">';
				if(line_data!=null){
                	html += ''+ line_data + '</span>';
                }else{

                }
				//html += ''+ Format[codes[j].format](data[(codes[j])['code101']],(codes[j])['code101']) + '</span>';
				if(!isTipShow) {
//					html += '<a  href="#loadxq"  class="btn_xq"><svg class="webicon"><use xlink:href="#xiangqing"></use></svg>详情</a>';
//					isTipShow=true;
				}
				html += '</div>';
			}else{
					isAShow = true;
			}
		}
		html += '</div>';
	}
	$("#" + pageParam + "").append(html);
	if (isAShow)
		$("#" + pageParam).find("a").show();
	loadxq(obj.queryList, pageParam,cpage);
};
// 转换对象为json
function objToJson(obj) {
	var str = '{';
	for ( var key in obj) {
		str += key + ':"' + obj[key] + '",';
	}
	str = str.substring(0, str.length - 1);
	str += '}';
	return str;
}
// 存入当前点击数据
function loadxq(list, content, cpage) {
	$("#contentxq").html('');
	if (!cpage) {
		cpage = ajax.cpage;
	}
	var loadpage = (cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a");
	$.each(list, function(i, obj) {
		$(btn[i + loadpage]).click(function() {
			sessionStorage.myxq = objToJson(obj);
			resultxq();
		});
	});
}
// 加载详情
function resultxq(codesxq) {
	var html = '';
	var data = sessionStorage.myxq;
	data = eval("(" + data + ")");
	if (!codesxq) {
		codesxq = codes;
	}
	//Format[codes[j].format](data[codes[j].code101],codes[j].code101)
	html += '<div data-form="ui-body-m" class="ui-body ui-body-m mt20">';
	for ( var j = 0; j < codesxq.length; ++j) {
	var line_data1 = codes[j].code101;
	line_data1 = Format[codes[j].format](data[line_data1],line_data1)
	if(line_data1!=null){
			html += '<div class="ui-field-contain ui-field-contain-txt"><span class="title">'
    				+ codesxq[j].code102
    				+ '：'
    				+ '</span><span class="txt">'
    				+ line_data1 + '</span></div>';
	}else{

	}
	}
	html += '</div>';
	$("#contentxq").html(html);
}




// 存入当前点击数据
function loadxq1(codes, list, detailUrl, url, content, cpage) {
	if (!cpage) {
		cpage = ajax.cpage;
	}
	var loadpage = (cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a");
	$.each(list, function(i, obj) {
		$(btn[i + loadpage]).click(function() {
			sessionStorage.myxq = objToJson(obj);
			resultxq(codes);
		});
	});
}

// 存入当前点击数据
function loadNext(list, detailUrl, url, content, isTipHide) {
	var loadpage = (ajax.cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a");
	$.each(list, function(i, obj) {
		var data = obj;
		if (isTipHide) {
			loadpage = loadpage + 1;
		}
		$(btn[i + loadpage]).click(function() {
			$("#detail1").html('');
			ajaxDetail.reset();
			sessionStorage.url = url;
			sessionStorage.detailUrl = detailUrl;
			sessionStorage.detailUrlValue = data[detailUrl];
			queryDetail();
		});
	});
}

// 存入当前点击数据
function loadLast(list, detailUrl, url, content, isTipHide) {
	var loadpage = (ajaxDetail.cpage - 1) * ajax.rows;
	var btn = $("#" + content + "").find("a");
	$.each(list, function(i, obj) {
		if (isTipHide) {
			loadpage = loadpage + 1;
		}
		$(btn[i + loadpage]).click(function() {
			sessionStorage.url = url;
			sessionStorage.detailUrl = detailUrl;
			sessionStorage.detailUrlValue = obj[detailUrl];
			$("#detail2").html('');
			ajaxDetail2.reset();
			queryDetail2();
		});
	});
}

// 初始化日期插件
Style.prototype.initDate = function(param1, param2, param3) {
	var self = this;
	if (!param1)
		param1 = 'param1';
	if (!param2)
		param2 = 'param2';
	if (!param3)
		param3 = 'param3';
	var themeObj = {
		"iphone" : "ios",
		"ipad" : "ios",
		"android" : "android-ics light",
		"terminal" : "android-ics light"
	};
	var dateFormat = params.dateFormat;
	var initYearAgo = params.initYearAgo;
	var initMonthOne = params.initMonthOne;
	if (!dateFormat)
		dateFormat = 'yyyymm';
	if (!initYearAgo)
		initYearAgo = 1;
    if (!initMonthOne)
        initMonthOne = 1;
	var nowDate = new Date();
	var yearAgo = new Date();
    var lastMonth = new Date();
	yearAgo.setFullYear(nowDate.getFullYear() - initYearAgo);
    lastMonth.setMonth(nowDate.getMonth() - initMonthOne);
	$("#" + param1 + ",#" + param2 + ",#" + param3).mobiscroll().date({
		theme : themeObj[self.platform],
		lang : 'zh',
		display : "bottom",
		mode : 'scroller',
		dateOrder : dateFormat.substr(2),
		dateFormat : Format["date"](dateFormat).substr(2)
	});
	var beginDate = yearAgo.format(Format["date"](dateFormat));
	var endDate = nowDate.format(Format["date"](dateFormat));
	var lastmonthDate = lastMonth.format(Format["date"](dateFormat));
//	$('#' + param1).val(beginDate);
//20171106  查询日期初始化为当前时间
	$('#' + param1).val(endDate);
	$('#' + param2).val(endDate);
	$('#' + param3).val(lastmonthDate);
	if (dateFormat == 'yyyy') {
//		$("#param1_name").html('开始年份');
//		$("#param2_name").html('截止年份');
		$("#param1_name").html('查询年份');
	} else if (dateFormat == 'yyyymmdd') {
//		$("#param1_name").html('开始日期');
//		$("#param2_name").html('截止日期');
        $("#param1_name").html('查询日期');
	} else if (dateFormat == 'yyyymm') {
//		$("#param1_name").html('开始年月');
//		$("#param2_name").html('截止年月');

		$("#param1_name").html('查询年月');
	} else if (dateFormat == 'yyyymm') {
	    $('#param_time').html('时间');
	}
};

// 初始化选择插件
Style.prototype.initSelect = function(select) {
	var self = this;
	var themeObj = {
		"iphone" : "ios",
		"ipad" : "ios",
		"android" : "android-ics light",
		"terminal" : "android-ics light"
	};
	$(select).mobiscroll().select({
		theme : themeObj[self.platform],
		lang : 'zh',
		display : 'bottom'
	});
};



Style.prototype.colunm2D=function(id,newtype,newtitle,newdata,subtitle,footnote,radius){
	if(!radius){
		radius="60%";
	}
	var chart = iChart.create({
        render:id,
        width:$(window).width()*0.9,
        height:$(window).height()*0.8,
        background_color:"#fefefe",
        gradient:false,
        color_factor:0.2,
        border:{
              color:"#ffffff",
              width:1
        },
        align:"center",
        offsetx:0,
        offsety:-45,
        sub_option:{
              border:{
                    color:"#BCBCBC",
                    width:1
              },
              label:{
                    fontweight:500,
                    fontsize:10,
                    color:"#4572a7",
                    sign:"square",
                    sign_size:10,
                    border:{
                          color:"#BCBCBC",
                          width:1
                    },
                    background_color:"#fefefe"
              }
        },
        shadow:true,
        shadow_color:"#666666",
        shadow_blur:2,
        showpercent:false,
        column_width:"50%",
        bar_height:"70%",
        radius:radius,
        title:{
        	  text:newtitle,
        	  offsety:-10
        },
        subtitle:{
              text:subtitle,
              color:"#111111",
              fontsize:14,
              font:"微软雅黑",
              textAlign:"center",
              height:20,
              offsetx:0,
              offsety:-10
        },
        footnote:{
              text:footnote,
              color:"#111111",
              fontsize:14,
              font:"微软雅黑",
              textAlign:"center",
              height:20,
              offsetx:0,
              offsety:-50
        },
        legend:{
              enable:false,
              background_color:"#fefefe",
              color:"#333333",
              fontsize:12,
              border:{
                    color:"#BCBCBC",
                    width:1
              },
              column:1,
              align:"right",
              valign:"center",
              offsetx:0,
              offsety:0
        },
        coordinate:{
              width:"80%",
              height:"84%",
              background_color:"#ffffff",
              axis:{
                    color:"#a5acb8",
                    width:[1,"",1,""]
              },
              grid_color:"#d9d9d9",
              label:{
                    fontweight:500,
                    color:"#666666",
                    fontsize:11
              }
        },
        label:{
              fontweight:500,
              color:"#666666",
              fontsize:11
        },
        type:newtype,
        data:newdata
  });
  chart.draw();
  $("#content").addClass("myZ-index");
}