/**
 * 全局变量
 */
var GloBalNames = {
	  //requestUrl:"http://app.191cn.com/palmhospitalServiceV3"
		requestUrl:"http://120.42.37.86:10607/palmhospitalServiceV3Dev"
		  
}

/**
 * 
 * 时间格式化,用法:new Date().format("yyyy-MM-dd")
 */
Date.prototype.format = function(format) {
	var o = {
		"M+" : this.getMonth() + 1, // month
		"d+" : this.getDate(), // day
		"h+" : this.getHours(), // hour
		"m+" : this.getMinutes(), // minute
		"s+" : this.getSeconds(), // second
		"q+" : Math.floor((this.getMonth() + 3) / 3), // quarter
		"S" : this.getMilliseconds()
	// millisecond
	};
	if (/(y+)/.test(format))
		format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for ( var k in o)
		if (new RegExp("(" + k + ")").test(format))
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
	return format;
};
/**
 * post请求
 */
jQuery.ylzPost = function(param) {
	$.showLoading();  
	var successFn = param.success;
	var errorFn =  param.error;
	var _default = {
		type : "post",
		timeout : 20000,
		contentType : "application/json",
		dataType : "json",
		crossDomain : true,
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			$.hideLoading(); 
			if(errorFn){
				errorFn(XMLHttpRequest,textStatus,errorThrown);
			}
			if (textStatus == 'timeout') {
				console.log("访问服务器超时");
			} else{
				console.log("访问服务器出错");
			}
		},
		success: function(reData){
			$.hideLoading();  
			if(successFn){
				successFn(reData);
			}
		}
	}
	delete param.success;
	delete param.error;
	$.extend(_default, param);
	$.ajax(_default);
}
/**
 * get请求
 */
jQuery.ylzGet = function(param) {
	$.showLoading();  
	var successFn = param.success;
	var _default = {
		type : "get",
		timeout : 20000,
		contentType : "application/json",
		dataType : "json",
		crossDomain : true,
		error : function(XMLHttpRequest, textStatus, errorThrown) {
			$.hideLoading();  
			if (textStatus == 'timeout') {
				console.log("访问服务器超时");
			} else{
				console.log("访问服务器出错");
			}
		},
		success: function(reData){
			$.hideLoading();  
			if(successFn){
				successFn(reData);
			}
		}
	}
	delete param.success;
	$.extend(_default, param);
	$.ajax(_default);
}

jQuery.getUrlParam = function(){
	var paramStr = decodeURI(location.search);
	if(paramStr&&paramStr.length>0){
		paramStr = paramStr.substring(1);
	}
	var reObject = {};
	if(paramStr.length>0){
		var paramArray = paramStr.split("&");
		for(var i=0;i<paramArray.length;i++){
			var singleParamStr = paramArray[i];
			var key = singleParamStr.split("=")[0];
			var value = singleParamStr.split("=")[1];
			reObject[key] = value;
		}
		return reObject;
	}else{
		return reObject;
	}
}

//对象序列化
jQuery.serialize = function(obj){
	var str = "";
	if(obj!=null){
		for(var pro in obj){
			str += (pro+"="+obj[pro]+"&");
		}
		str = str.substring(0,str.length-1);
		return str;
	}else{
		return null;
	}
}

//显示loading
jQuery.showLoading = function(){
	$(".laoding_mask").remove();
	$(".laoding_mask_background").remove();
	var $loading = $('<div class="laoding_mask"></div>');
	var $loading_background = $('<div class="laoding_mask_background"></div>');
	$("body").append($loading);
	$("body").append($loading_background);
	$(document).delegate('.laoding_mask', 'click', function() {
		$.hideLoading();
	}); 
}

//隐藏loading
jQuery.hideLoading = function(){
	$(".laoding_mask").remove();
	$(".laoding_mask_background").remove();
}